Module | RSS::DublinCoreModel
In: | rss/dublincore.rb

### Methods

dc_validate

### Constants

TEXT_ELEMENTS | = | { "title" => nil, "description" => nil, "creator" => nil, "subject" => nil, "publisher" => nil, "contributor" => nil, "type" => nil, "format" => nil, "identifier" => nil, "source" => nil, "language" => nil, "relation" => nil, "coverage" => nil, "rights" => "rightses"
DATE_ELEMENTS | = | { "date" => "w3cdtf", }
ELEMENT_NAME_INFOS | = | DublinCoreModel::TEXT_ELEMENTS.to_a
ELEMENTS | = | TEXT_ELEMENTS.keys + DATE_ELEMENTS.keys

### Public Instance methods

dc_validate(tags)

[Source]

    # File rss/dublincore.rb, line 137
        def dc_validate(tags)
          tags.each do |tag|
            key = "#{DC_PREFIX}_#{tag}"
            unless DublinCoreModel::ELEMENTS.include?(key)
              raise UnknownTagError.new(tag, DC_URI)
            end
          end
        end

[Validate]